part of 'sales_bloc.dart';

abstract class SalesEvent extends Equatable {
  const SalesEvent();

  @override
  List<Object> get props => [];
}

class SalesLoad extends SalesEvent {
  const SalesLoad();
}

class SalesPurchase extends SalesEvent {
  final int productId;
  const SalesPurchase({required this.productId});
}

class SalesChangeSubscription extends SalesEvent {
  const SalesChangeSubscription();
}
